<script setup lang="ts">
import { usePayrollStore } from '../stores/payroll'

const payrollStore = usePayrollStore()
</script>
<template>
  <div>
    <v-dialog v-model="payrollStore.dialog" max-width="800" persistent>
      <v-card prepend-icon="mdi-account" title="Pending List" rounded="xl">
        <v-card-text>
          <v-row>
            <v-col>
              <v-divider></v-divider>
              <v-card-actions>
                <v-spacer></v-spacer>

                <v-btn text="Close" variant="plain" @click="payrollStore.closeDialog()"></v-btn>

                <v-btn
                  text="Save"
                  variant="plain"
                  color="#FFD180"
                  :disabled="payrollStore.itemsPending.length == 0"
                  @click="payrollStore.save()"
                ></v-btn>
              </v-card-actions>
              <v-divider></v-divider>
            </v-col>
          </v-row>
          <v-row>
            <v-col cols="6">
              <h3>รายการเดือน {{ payrollStore.getMonthYear() }}</h3>
              <h3>จ่ายวันที่ {{ payrollStore.getDateString() }}</h3>
            </v-col>
            <v-col cols="6">
              <h3>จำนวนพนักงาน {{ payrollStore.getEmpCount() }}</h3>
              <h3>รวมค่าใช้จ่ายพนักงาน {{ payrollStore.getTotalPendingPayroll() }}</h3>
            </v-col>
          </v-row>
          <v-data-table
            class="h-100"
            fixed-header
            :headers="payrollStore.headersPending"
            :items="payrollStore.itemsPending"
          >
            <template #item="{ item }">
              <tr>
                <td>{{ item.employee?.id }}</td>
                <td>{{ item.employee?.firstName }} {{ item.employee?.lastName }}</td>
                <td>{{ item.totalNet }}</td>

                <td>
                  <v-icon size="small" class="me-2" @click="payrollStore.editPendingItem(item)">
                    mdi-pencil
                  </v-icon>
                  <v-icon size="small" @click="payrollStore.deletePendingItem(item)">
                    mdi-delete
                  </v-icon>
                </td>
              </tr>
            </template>
          </v-data-table>
        </v-card-text>

        <v-divider></v-divider>
      </v-card>
    </v-dialog>
  </div>
</template>
<style scoped>
.payroll-detail {
  max-height: 800px; /* ตั้งค่าความสูงสูงสุดที่ต้องการ */
  overflow: auto; /* เพิ่มสกรอลล์บาร์เมื่อเนื้อหาล้น */
  -ms-overflow-style: none; /* ซ่อน scrollbar ใน Internet Explorer */
  scrollbar-width: none; /* ซ่อน scrollbar ใน Firefox */
}

.payroll-detail::-webkit-scrollbar {
  display: none; /* ซ่อน scrollbar ใน Chrome, Safari และ Opera */
}
</style>
